GuideLab API

Get Document Settings

Retrieve document settings for the current lab, including title, terms and conditions, footer text, and manufacture details.

GET
/document-settings

Retrieve document settings for the current lab, including title, terms and conditions, footer text, and manufacture details.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/document-settings"
{  "settings": {    "id": "string",    "labId": "string",    "documentType": "string",    "title": "string",    "termsAndConditions": "string",    "footerText": "string",    "footerLogoKey": "string",    "manufactureTitle": "string",    "manufactureText": "string",    "showAdditionalProductInfo": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty